OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.InterleavedElements

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDInterleavedElements :: MonadIO m => m Bool
- gl_AMD_interleaved_elements :: Bool
- pattern GL_ALPHA :: GLenum
- pattern GL_BLUE :: GLenum
- pattern GL_GREEN :: GLenum
- pattern GL_RED :: GLenum
- pattern GL_RG16UI :: GLenum
- pattern GL_RG8UI :: GLenum
- pattern GL_RGBA8UI :: GLenum
- pattern GL_VERTEX_ELEMENT_SWIZZLE_AMD :: GLenum
- pattern GL_VERTEX_ID_SWIZZLE_AMD :: GLenum
- glVertexAttribParameteriAMD :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetAMDInterleavedElements :: MonadIO m => m Bool Source #

Is the AMD_interleaved_elements extension supported?

gl_AMD_interleaved_elements :: Bool Source #

Is the AMD_interleaved_elements extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDInterleavedElements` in those cases instead.

# Enums

pattern GL_ALPHA :: GLenum Source #

pattern GL_BLUE :: GLenum Source #

pattern GL_GREEN :: GLenum Source #

pattern GL_RED :: GLenum Source #

pattern GL_RG16UI :: GLenum Source #

pattern GL_RG8UI :: GLenum Source #

pattern GL_RGBA8UI :: GLenum Source #

pattern GL_VERTEX_ELEMENT_SWIZZLE_AMD :: GLenum Source #

pattern GL_VERTEX_ID_SWIZZLE_AMD :: GLenum Source #

# Functions

glVertexAttribParameteriAMD Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |